package cn.iocoder.yudao.module.identity.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * 业务异常的错误码区间，解决：解决各模块错误码定义，避免重复，在此只声明不做实际使用
 */
public interface ErrorCodeConstants {
    public static  ErrorCode DIVERSION_RECORD_NOT_EXISTS = new ErrorCode(1014000001,"疑似窜货记录不存在");
    public static  ErrorCode DIVERSION_STATS_NOT_EXISTS = new ErrorCode(1014000002,"窜货统计不存在");
    public static  ErrorCode GENERATE_RECORD_NOT_EXISTS = new ErrorCode(1014000003,"标识码不存在");
    public static  ErrorCode CODE_NOT_EXISTS = new ErrorCode(1-014000004, "标识编码不存在");
    public static  ErrorCode SCAN_RECORD_NOT_EXISTS = new ErrorCode(1014000005, "扫码记录不存在");
    public static  ErrorCode BUSINESS_RULE_NOT_EXISTS = new ErrorCode(1014000006, "码规则不存在");
    public static  ErrorCode BUSINESS_RULE_IS_EXISTS = new ErrorCode(1014000007, "码规则已存在");
    public static  ErrorCode GENERATE_BATCH_NOT_EXISTS = new ErrorCode(1014000008, "码生成记录与批次关联记录不存在");
    public static  ErrorCode GENERATE_NOT_EXISTS = new ErrorCode(1014000009, "码生成记录不存在");
    public static  ErrorCode BUSINESS_RULE_CREAT_FAIL = new ErrorCode(1014000010, "码规则生成失败");
    /**
     *  标识码生成记录  模块代码 001
     */
    ErrorCode GENERATE_CODE_FAIL = new ErrorCode(1014001001, "生成二维码失败");
}
